Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 229720 - LSPP: pfkey_spdget does not audit xrfm policy changes
Summary: LSPP: pfkey_spdget does not audit xrfm policy changes
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel
Version: 5.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Eric Paris
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks: RHEL5LSPPCertTracker
TreeView+ depends on / blocked
 
Reported: 2007-02-22 22:26 UTC by Eric Paris
Modified: 2007-11-30 22:07 UTC (History)
3 users (show)

Fixed In Version: RHBA-2007-0959
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-11-07 19:41:26 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2007:0959 normal SHIPPED_LIVE Updated kernel packages for Red Hat Enterprise Linux 5 Update 1 2007-11-08 00:47:37 UTC

Description Eric Paris 2007-02-22 22:26:09 UTC
Just like the title says, pfkey_spdget does not audit xfrm policy changes.  An
audit hook needs to be added.

Comment 3 Eric Paris 2007-03-06 21:37:21 UTC
This needs both verification from joy and upstream acceptance into a tree

http://marc.theaimsgroup.com/?l=linux-netdev&m=117286158224756&w=2

Comment 4 Eric Paris 2007-03-23 17:47:06 UTC
in at least 2.6.21-rc4 and verified by joy latten of ibm.  removing from LSPP
tracker list and ready for internal submission.

Comment 7 Don Zickus 2007-06-16 00:31:26 UTC
in 2.6.18-27.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5

Comment 9 Mike Gahagan 2007-09-12 21:42:23 UTC
confirmed fix is in the -46 kernel.


Comment 11 errata-xmlrpc 2007-11-07 19:41:26 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-0959.html



Note You need to log in before you can comment on or make changes to this bug.